<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.crk.quality.mapper.QualityStandardMapper">

        <!-- 通用查询映射结果 -->
        <resultMap id="BaseResultMap" type="com.unis.crk.quality.entity.QualityStandard">
                    <id column="BH" property="bh" />
                    <result column="YYBZ" property="yybz" />
                    <result column="WJMC" property="wjmc" />
                    <result column="SYYPZ" property="syypz" />
                    <result column="CJRQ" property="cjrq" />
                    <result column="CJR" property="cjr" />
                    <result column="ZZ" property="zz" />
                    <result column="SF" property="sf" />
                    <result column="HLMHL" property="hlmhl" />
                    <result column="GWCMHL" property="gwcmhl" />
                    <result column="HHL" property="hhl" />
                    <result column="SZQW" property="szqw" />
                    <result column="SFZLXXZ" property="sfzlxxz" />
                    <result column="SFZLFD" property="sfzlfd" />
                    <result column="SFJSXXZ" property="sfjsxxz" />
                    <result column="SFKLSXZ" property="sfklsxz" />
                    <result column="SFKLFD" property="sfklfd" />
                    <result column="SFJSSXZ" property="sfjssxz" />
                    <result column="SFBJKLZ" property="sfbjklz" />
                    <result column="ZZZLXXZ" property="zzzlxxz" />
                    <result column="ZZZLFD" property="zzzlfd" />
                    <result column="ZZJSXXZ" property="zzjsxxz" />
                    <result column="ZZKLSXZ" property="zzklsxz" />
                    <result column="ZZKLFD" property="zzklfd" />
                    <result column="ZZJSSXZ" property="zzjssxz" />
                    <result column="ZZBJKLZ" property="zzbjklz" />
                    <result column="ZJMLKLXXZ" property="zjmlklxxz" />
                    <result column="ZJMLKLFD" property="zjmlklfd" />
                    <result column="ZJMLJSXXZ" property="zjmljsxxz" />
                    <result column="HHLKLSXZ" property="hhlklsxz" />
                    <result column="HHLKLFD" property="hhlklfd" />
                    <result column="HHLJSSXZ" property="hhljssxz" />
                    <result column="HHLBZLXXZ" property="hhlbzlxxz" />
                    <result column="HLMKLSXZ" property="hlmklsxz" />
                    <result column="HLMKLFD" property="hlmklfd" />
                    <result column="HLMJSSXZ" property="hlmjssxz" />
                    <result column="HLMBJKLZ" property="hlmbjklz" />
                    <result column="GWCMKLSXZ" property="gwcmklsxz" />
                    <result column="GWCMKLFD" property="gwcmklfd" />
                    <result column="GWCMBJKLZ" property="gwcmbjklz" />
                    <result column="BZ" property="bz" />
                    <result column="DLMS" property="dlms" />
        </resultMap>

    <select id="getPerData" resultType="java.util.Map">
        SELECT *   FROM  quality_standard
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
    <select id="selectMyMapsPage" resultType="java.util.Map">
        SELECT *   FROM  quality_standard
        <if test="ew.sqlSegment != null and ew.sqlSegment != ''">
            where  ${ew.sqlSegment}
        </if>
    </select>
</mapper>